osl::progress::Effect5x3d Struct Reference

玉の周囲5x3の領域の利きの数ら計算した自玉のまわりの利きの数。 5x3領域は盤面内になるように補正する． 黒と白の両方の進行度を持つ． Effect5x3 との違い持駒の重みなし More...

`#include <effect5x3d.h>`

## Public Member Functions

| Effect5x3d (const NumEffectState &state)
void | changeTurn ()
int | progress (Player p) const
const Progress16 | progress16 () const
const Progress16 | progress16 (Player p) const
void | update (const NumEffectState &new_state, Move last_move)

## Static Public Member Functions

static int | makeProgress (Player defense, const NumEffectState &state, Square king)
| 王の位置を指定したprogressの計算.
static int | makeProgress (Player defense, const NumEffectState &state)
static int | makeProgress (const NumEffectState &state)
static const Progress16 | progress16 (int progress)
| 0-15 の値を返す
static const Progress16 | progress16each (int progress)
| 0-15 の値を返す.

## Private Attributes

CArray< int, 2 > | progresses

## Detailed Description

玉の周囲5x3の領域の利きの数ら計算した自玉のまわりの利きの数。 5x3領域は盤面内になるように補正する． 黒と白の両方の進行度を持つ． Effect5x3 との違い持駒の重みなし

Definition at line 19 of file effect5x3d.h.

## Constructor & Destructor Documentation

## Effect5x3d()

osl::progress::Effect5x3d::Effect5x3d | ( | const NumEffectState & | state | ) |

inline explicit

Definition at line 60 of file effect5x3d.h.

References osl::BLACK, makeProgress(), progresses, and osl::WHITE.

## Member Function Documentation

## changeTurn()

void osl::progress::Effect5x3d::changeTurn | ( |  | ) |

inline

Definition at line 65 of file effect5x3d.h.

## makeProgress() [1/3]

int osl::progress::Effect5x3d::makeProgress | ( | const NumEffectState & | state | ) |

inline static

Definition at line 34 of file effect5x3d.h.

References osl::BLACK, makeProgress(), and osl::WHITE.

## makeProgress() [2/3]

int osl::progress::Effect5x3d::makeProgress | ( | Player | defense,
|  | const NumEffectState & | state )

inline static

Definition at line 31 of file effect5x3d.h.

References osl::SimpleState::kingSquare(), and makeProgress().

## makeProgress() [3/3]

int osl::progress::Effect5x3d::makeProgress | ( | Player | defense,
|  | const NumEffectState & | state,
|  | Square | king )

static

王の位置を指定したprogressの計算.

Parameters

  defense | - こちらの玉に注目したprogress
  state | - 盤面
  king | - 玉の位置がここにあるとする． 一般には，盤面から玉の位置は特定できるが，差分計算の途中では 一致しないとして呼び出すことがある．

Definition at line 7 of file effect5x3d.cc.

References osl::Centering5x3::adjustCenter(), osl::NumEffectState::countEffect(), osl::progress::Effect5x3_Table, osl::Square::x(), and osl::Square::y().

Referenced by Effect5x3d(), makeProgress(), makeProgress(), and update().

## progress()

int osl::progress::Effect5x3d::progress | ( | Player | p | ) | const

inline

Definition at line 66 of file effect5x3d.h.

References progresses.

Referenced by progress16(), progress16(), and progress16each().

## progress16() [1/3]

const Progress16 osl::progress::Effect5x3d::progress16 | ( |  | ) | const

inline

Definition at line 67 of file effect5x3d.h.

References progress16(), and progresses.

Referenced by progress16().

## progress16() [2/3]

const Progress16 osl::progress::Effect5x3d::progress16 | ( | int | progress | ) |

inline static

0-15 の値を返す

Definition at line 41 of file effect5x3d.h.

References progress().

## progress16() [3/3]

const Progress16 osl::progress::Effect5x3d::progress16 | ( | Player | p | ) | const

inline

Definition at line 71 of file effect5x3d.h.

References progress(), and progress16each().

## progress16each()

const Progress16 osl::progress::Effect5x3d::progress16each | ( | int | progress | ) |

inline static

0-15 の値を返す.

プレイヤ個人毎

Definition at line 51 of file effect5x3d.h.

References progress().

Referenced by progress16().

## update()

void osl::progress::Effect5x3d::update | ( | const NumEffectState & | new_state,
|  | Move | last_move )

Definition at line 33 of file effect5x3d.cc.

References osl::container::BoardMask::anyInRange(), osl::BLACK, osl::Board_Mask_Table5x3_Center, osl::NumEffectState::changedEffects(), osl::SimpleState::kingSquare(), makeProgress(), progresses, and osl::WHITE.

## Member Data Documentation

## progresses

CArray<int,2> osl::progress::Effect5x3d::progresses

private

Definition at line 58 of file effect5x3d.h.

Referenced by Effect5x3d(), progress(), progress16(), and update().

The documentation for this struct was generated from the following files:

- effect5x3d.h
- effect5x3d.cc